library IEEE;
library IEEE_EXTD;
use IEEE.std_logic_1164.all;
use IEEE_EXTD.stdl1164_EXTENDED.ALL;
use STD.textio.all;
use WORK.dlx_types.all;
use WORK.dlx_instructions.all;
use WORK.control_types_2.all;


entity pipe_control is

 port (phi1, phi2       : in std_logic;
       reset      : in std_logic;
       --   
       stall_fetch  : out std_logic;
       stall_decode : out std_logic;
       stall_exec   : out std_logic;
       force_decode : out exc_type;
       --
       mem_memory_not_ready : in std_logic;
       fetch_memory_not_ready : in std_logic;
       --
       adr_ls2      : in std_logic_vector(0 to 1);
       rs1, rs2, rd : in dlx_reg_addr;
       load_instr   : in std_logic;
       reg_dest     : in std_logic;
       branch       : in std_logic;
       --
       mux1_out, mux2_out : out std_logic_vector(0 to 1);
       branch_reg_mux     : out std_logic_vector(0 to 1));


end pipe_control;
