--------------------------------------------------------------------------
--  DLX PROCESSOR MODEL SUITE
--  Copyright (C) 1996, Markus Buehler
--  University of Stuttgart / Department of Computer Science / IPVR-ISE
--------------------------------------------------------------------------
--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 1, or (at your option)
--  any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--------------------------------------------------------------------------
--  Last revision date : February 15, 1996
--------------------------------------------------------------------------

--------------------------------------------------------------------------
--  
--
--  (file word_adder_test-bench.vhd)
--------------------------------------------------------------------------

ARCHITECTURE bench OF word_adder_test IS

   COMPONENT adder
     port (a : in std_logic_vector(31 downto 0);
      	b : in std_logic_vector(31 downto 0);
	c_in : in std_logic;
	s : out std_logic_vector(31 downto 0);
	c_out : out std_logic;
        ovfl : out std_logic);
   END COMPONENT;

   SIGNAL a,b,s : std_logic_vector(31 downto 0);
   SIGNAL c_in, c_out,ovfl : std_logic;

BEGIN

  the_adder : adder
    PORT MAP (a => a, b => b, c_in => c_in, 
		s => s, c_out => c_out, ovfl => ovfl);

  c_in <= '0';

  a <= To_stdlogicvector(x"1000_0000") after 2 ns;
  b <= to_stdlogicvector(x"2000_0002") after 2 ns;
END bench;
